#
# spec file for package freetype2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%define doc_version 2.6.5
Name:           freetype2
Version:        2.6.5
Release:        0
Summary:        A TrueType Font Library
License:        SUSE-Freetype or GPL-2.0+
Group:          System/Libraries
Url:            http://www.freetype.org
Source0:        http://download.savannah.gnu.org/releases/freetype/freetype-%{version}.tar.bz2
Source1:        http://download.savannah.gnu.org/releases/freetype/freetype-doc-%{doc_version}.tar.bz2
Source3:        baselibs.conf
Patch1:         freetype2-bitmap-foundry.patch
Patch200:       freetype2-subpixel.patch
# PATCH-FIX-OPENSUSE don-t-mark-libpng-as-required-library.patch -- it is private in .pc
Patch202:       don-t-mark-libpng-as-required-library.patch
Patch308961:    bugzilla-308961-cmex-workaround.patch
BuildRequires:  gawk
BuildRequires:  libbz2-devel
BuildRequires:  libpng-devel
BuildRequires:  pkg-config
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# bug437293
%ifarch ppc64
Obsoletes:      freetype2-64bit
%endif

%description
This library features TrueType fonts for open source projects. This
version also contains an autohinter for producing improved output.

%package -n libfreetype6
Summary:        A TrueType Font Library
Group:          System/Libraries
Obsoletes:      freetype2 < %{version}
Provides:       freetype2 = %{version}

%description -n libfreetype6
This library features TrueType fonts for open source projects. This
version also contains an autohinter for producing improved output.

%package devel
Summary:        Development environment for the freetype2 TrueType font library
Group:          Development/Libraries/C and C++
Requires:       libfreetype6 = %{version}
Requires:       zlib-devel
# there is no freetype-devel on suse:
Provides:       freetype-devel
# Static library provides:
Provides:       libfreetype6-devel-static
# bug437293
%ifarch ppc64
Obsoletes:      freetype2-devel-64bit
%endif

%description devel
This package contains all necessary include files, libraries and
documentation needed to develop applications that require the freetype2
TrueType font library.

It also contains a small tutorial for using that library.

%prep

%define enable_subpixel_rendering 0
%setup -q -n freetype-%{version} -a 1
%patch1 -p1
%patch308961 -p 1
%patch202 -p1
%if %{enable_subpixel_rendering}
%patch200 -p1
%endif

%build
export CFLAGS="%{optflags} -std=gnu99 -D_GNU_SOURCE $(getconf LFS_CFLAGS)"
%configure \
	--with-bzip2 \
	--with-png \
	--with-zlib \
	--disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

# remove documentation that does not belong in an rpm
rm docs/INSTALL*

%post -n libfreetype6 -p /sbin/ldconfig

%postun -n libfreetype6 -p /sbin/ldconfig

%files -n libfreetype6
%defattr(-,root,root)
%{_libdir}/libfreetype.so.*
%doc ChangeLog README
%doc docs/{CHANGES,CUSTOMIZE,DEBUG,MAKEPP,PROBLEMS,TODO,*.txt}

%files devel
%defattr(-,root,root)
%doc docs/reference/*
%{_includedir}/*
%if 0%{?suse_version} >= 1140
%exclude %{_libdir}/libfreetype.*a
%else
%{_libdir}/libfreetype.*a
%endif
%{_libdir}/libfreetype.so
%{_libdir}/pkgconfig/freetype2.pc
%{_bindir}/*
%{_datadir}/aclocal
%{_mandir}/man1/freetype-config*

%changelog
