#
# spec file for package ft2demos
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define freetype_version 2.6.5
Name:           ft2demos
Version:        2.6.5
Release:        0
Summary:        Freetype2 Utilities and Demo Programs
License:        GPL-2.0+
Group:          Productivity/Publishing/Other
Url:            http://www.freetype.org
Source0:        http://savannah.nongnu.org/download/freetype/freetype-%{freetype_version}.tar.bz2
Source1:        http://savannah.nongnu.org/download/freetype/ft2demos-%{version}.tar.bz2
Source1000:     bnc628213_test.otf
Source1004:     bnc629447_sigsegv31.ttf
Source1013:     bnc633938_badbdf.0
Source1015:     bug-641580_CVE-2010-3311.cff
Source1016:     bug-647375_tt2.ttf
Patch200:       freetype2-subpixel.patch
# PATCH-FIX-UPSTREAM overflow.patch -- I: Statement is overflowing a buffer
Patch201:       overflow.patch
# PATCH-FIX-OPENSUSE don-t-mark-libpng-as-required-library.patch -- it is private in .pc
Patch202:       don-t-mark-libpng-as-required-library.patch
Patch308961:    bugzilla-308961-cmex-workaround.patch
BuildRequires:  libpng-devel
BuildRequires:  xorg-x11-devel
Supplements:    fonts-config
Conflicts:      dtc < 1.4.0
# silence our clamav check
NoSource:       1000
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Freetype2 utilities and demo programs.

%prep

%define enable_subpixel_rendering 0%{?opensuse_bs}
%setup -q -n freetype-%{freetype_version} -b 1
%patch308961 -p 1
pushd ../ft2demos-%{version}
%patch201 -p1
popd
%patch202 -p1
%if %{enable_subpixel_rendering}
%patch200 -p 1 -b .subpixel
%endif

%build
export CFLAGS="%{optflags} -std=gnu99 -D_GNU_SOURCE $(getconf LFS_CFLAGS)"
%configure --without-bzip2
make %{?_smp_mflags}
pushd ..
    ln -s freetype-%{freetype_version} freetype2
    cd ft2demos-%{version}
    make %{?_smp_mflags}
popd

%install
mkdir -p %{buildroot}%{_bindir}
pushd ../ft2demos-%{version}/bin/.libs
    install -m 755 ft* %{buildroot}%{_bindir}
popd

%check
%{buildroot}%{_bindir}/ftbench -c 1 %{SOURCE1000}
%{buildroot}%{_bindir}/ftbench -c 1 %{SOURCE1004} |& grep -v "couldn't load font resource" && echo "should fail"
%{buildroot}%{_bindir}/ftbench -c 1 %{SOURCE1013} |& grep -v "couldn't load font resource" && echo "should fail"
%{buildroot}%{_bindir}/ftbench -c 1 %{SOURCE1015} |& grep -v "couldn't load font resource" && echo "should fail"
%{buildroot}%{_bindir}/ftbench -c 1 %{SOURCE1016}

%files
%defattr(-,root,root)
%{_bindir}/ft*

%changelog
